/*  OpenOlap viewer
 *  パッケージ名：openolap.viewer.dao
 *  ファイル：Messages.java
 *  説明：
 *
 *  作成日: 2004/01/06
 */
package openolap.viewer.common;

import java.util.MissingResourceException;
import java.util.ResourceBundle;

/**
 *  クラス：Messages
 *  説明：
 */
public class Messages {

	private static final String BUNDLE_NAME = "openolap.viewer.common.viewer"; //$NON-NLS-1$

	private static final ResourceBundle RESOURCE_BUNDLE =
		ResourceBundle.getBundle(BUNDLE_NAME);

	private Messages() {

	}

	/**
	 * @param key
	 * @return
	 */
	public static String getString(String key) {
		try {
			return RESOURCE_BUNDLE.getString(key);
		} catch (MissingResourceException e) {
			return '!' + key + '!';
		}
	}
}
